<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
//$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 
			 
			 

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza
				 	 $cota4=85;
				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=275;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
					 $largo1=80;
					 $largo2=60;
					 $largo3=50;
                     $posicaoCab1=$margemEsquerda+$largo1;
					 $posicaoCab2=$posicaoCab1+$largo2;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
					 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
					 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);

			        /*
                     
					 $pdf->SetFont('Arial','B',10);
					 
					 //linha vertical a direita do timbre
					 $pdf->SetFont('Arial','',10);
					 
					 $cota1=5;
					 //dados do laboratorio/parte da esquerda
					 $pdf->setXY($margemEsquerda,$cota1); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


					 $pdf->setXY($margemEsquerda,$cota1+5); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+10); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+15); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+20); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');
                     */
					 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	                 $pdf->Image($caminhoFinal,11,8,48,23,'JPG');
					 
					 
                     //parte central do cabeçalho  
					 $pdf->SetFont('Arial','B',10);

					 $pdf->setXY($posicaoCab1,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode('FICHA DE ANÁLISE'),0,1,'L');
					 $pdf->SetFont('Arial','',10);

					 $pdf->setXY($posicaoCab1,$cota1+5);
					 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],2,2),0,1,'L');//lab nome
					 $pdf->setXY($posicaoCab1,$cota1+10);
					 $pdf->Cell($largo2,5,utf8_decode('BAS Nº:'),0,1,'L');//lab nome
					 $pdf->setXY($posicaoCab1,$cota1+15);
					 $pdf->Cell($largo2,5,utf8_decode('INFORMAÇÃO Nº:'),0,1,'L');//
					 $pdf->setXY($posicaoCab1,$cota1+20);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->Cell($largo2,5,'Data:__________   Rubrica:    ',0,1,'L');

                     //parte da direita do cabecalho 
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab2,$cota1);
					 $pdf->Cell($largo3,5,utf8_decode('FORMULÁRIO'),0,1,'C');//lab nome
					 $pdf->setXY($posicaoCab2,$cota1+5);
					 $pdf->Cell($largo3,5,'For. 5.0401',0,1,'C');//lab nome
					 $pdf->SetFont('Arial','',10);



				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',9);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); 
					 $pdf->SetFont('Arial','I',9);
					 $pdf->Cell($largo2,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 

                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+4);
					 $pdf->SetFont('Arial','',7);
					 //$pdf->Cell($largo1,4.5,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo1,4.5,utf8_decode('Cultivar:'),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+8);
					 $pdf->Cell($largo1,4.5,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+12);
					 $pdf->Cell($largo1,4.5,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])).' Protocolada em:'.$vetorCapturaGeral[107],0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):                   	     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,4.5,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+16);
					 $pdf->Cell($largo1,4.5,utf8_decode('Remetente.:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 //$pdf->Cell($largo3,4.5,utf8_decode('Data/Ident:'.$vetorCapturaGeral[85]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Data/Ident:'),0,0,'L');

                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+20);
					 $pdf->Cell($largo1,4.5,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
;




					  ##############cria setor de purezaaaa###############################################3
					 $cota1+=25;

					 $pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//
					 $largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=15;
					 $posicaox1=80; $posicaox2=53; $posicaox3=56; $posicaox4=88;
					 $posicaoMeio=97;
				     $altura=4.5;
					 $cota1a=$cota1+1*4.5;
					 $cota1b=$cota1+2*4.5;
					 $cota1c=$cota1+3*4.5;
					 $cota1d=$cota1+4*4.5;
					 $cota1e=$cota1+5*4.5;
					 $cota1f=$cota1+6*4.5;
					 $cota1g=$cota1+7*4.5;
					 $pdf->Line($margemEsquerda,$cota1a,$margemDireita,$cota1a);//
				     //as linhas verticais de pureza
					 $posicao1=$margemEsquerda+$largo1;                         $pdf->Line($posicao1,$cota1a,$posicao1,$cota4);//
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 $pdf->Line($posicao2,$cota1a,$posicao2,$cota4);//
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         $pdf->Line($posicao3,$cota1a,$posicao3,$cota4);//
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; $pdf->Line($posicao4,$cota1a,$posicao4,$cota4);//
				         //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota1b,$posicaoMeio,$cota1b);//
					 $pdf->Line($margemEsquerda,$cota1c,$posicaoMeio,$cota1c);//
					 $pdf->Line($margemEsquerda,$cota1d,$margemDireita,$cota1d);//
					 $pdf->Line($margemEsquerda,$cota1e,$posicaoMeio,$cota1e);//
					 $pdf->Line($margemEsquerda,$cota1f,$posicaoMeio,$cota1f);//
					 //$pdf->Line($margemEsquerda,$cota4,$margemDireita,$cota4);//
					 $pdf->Line($posicaoMeio,$cota1a,$posicaoMeio,$cota4);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell(80,4.5,utf8_decode('ANÁLISE DE PUREZA: (Em').$vetorCapturaGeral[91].'g)',1,0,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell(70,4.5,utf8_decode('Balança:').$pdf->vetorFicha[9].')',1,0,'L');
					 $pdf->Cell(44,4.5,utf8_decode('Data/Rubrica:'),1,0,'L');
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1a);
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 
					 $pdf->SetXY($posicaoMeio,$cota1a);
					 $pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,1,'C');
					 $pdf->SetXY($posicaoMeio,$cota1d);
					 $pdf->Cell(90,4.5,'Outras sementes:',0,1,'L');
					 $pdf->SetXY($margemEsquerda,$cota1b); $pdf->Cell(50,4.5,'Amostra de Trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1d); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1e); $pdf->Cell(50,4.5,'Material inerte',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
					 $cota1+=30;

					 $largura1=48;$largura2=49;$largura3=$largura1+$largura2;
					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->Line($margemEsquerda,$cota1+1,$margemDireita,$cota1+1);
					 $pdf->SetFont('Arial','',8);

					 $pdf->setXY($margemEsquerda,$cota1+1);
					 $pdf->cell(97,4,utf8_decode('VERIFICAÇÃO DE OUTROS CULTIVARES: (em').$vetorCapturaGeral[92].'g)',0,0,'L');
					 $pdf->setXY($posicao2+60,$cota1);
					 $pdf->cell(97,4,utf8_decode('Data/Rubrica:'),0,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1+5);
					 $pdf->cell(97,4,utf8_decode('PRAGAS: Nº em __________g'),0,0,'L');
					 $pdf->setXY($posicao2+60,$cota1+5);
					 $pdf->cell(97,4,utf8_decode('Data/Rubrica:'),0,0,'L');
                     //linha entre as duas verificaoce
                     $pdf->Line($margemEsquerda,$cota1+5,$margemDireita,$cota1+5);




					 $cota1+=5;
					 $cota5=$cota1+45;//era 50
			         $cota1a=$cota1+1*4.5;
			         $cota1b=$cota1+2*4.5;
			         $cota1c=$cota1+3*4.5;
					 
					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->SetFont('Arial','B',9);
					 $pdf->cell(97,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:'),1,1,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->setXY($posicao2,$cota1a);
					 $pdf->cell(97,4.5,utf8_decode('Data/Rubrica:'),1,0,'L');	 
					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($largura1,4.5,utf8_decode('Espécies Cultivadas em').$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'Sementes Silvestres: em '.$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura3-30,4.5,'Sementes Nocivas: em '.$vetorCapturaGeral[93].'g',1,0,'C');	 
					 $pdf->cell(15,4.5,'NT',1,0,'C');
					 $pdf->cell(15,4.5,'NP',1,1,'C');
					 $pdf->setXY($margemEsquerda,$cota5-5);
					 $pdf->Line($margemEsquerda,$cota5-5,$margemDireita,$cota5-5);
					 $pdf->cell(38,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell(38.5,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell(67.5,5,'Total:',1,0,'R');
	
					 
					 
					 
					 					 
					 $pdf->setXY($posicao2,$cota1c);
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				     //tres linhas verticais separando silvestres,nocivas e oesp 
					 $posicao3nt=174; 
					 $posicao3np=189; 
					 $pdf->Line($posicao1,$cota1c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota1c,$posicao2,$cota5);
					 $pdf->Line($posicao3nt,$cota1c,$posicao3nt,$cota5);
					 $pdf->Line($posicao3np,$cota1c,$posicao3np,$cota5);
				     ################inicio da parte de GERMINACAO########################################
					 $cota1+=45;//era 50						 
			         $umQuarto=48.5;
			         $cota1a=$cota1+1*4.5;
			         $cota1b=$cota1+2*4.5;
			         $cota1c=$cota1+3*4.5;
			         $cota1d=$cota1+4*4.5;
			         $cota1e=$cota1+5*4.5;
			         $posicaoMeio=97; 
						 
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO'),1,0,'C');
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('(  ) RETESTE DE GERMINAÇÃO   (  )VIGOR'),1,0,'C');
					 $pdf->SetFont('Arial','',7);

					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Rubrica:'),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Rubrica:'),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($umQuarto,4.5,'Substrato: RP (   )        EP (   )',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador:',1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1c);
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Contagens:',1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota1d);
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento:',1,0,'L');
					 $pdf->cell($umQuarto,4.5,' ',1,0,'L');

					 					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
                     $cota1+=23;
                     $guardaMargemEsquerda=$margemEsquerda;
                //pare repetir o quadro na direita imprime tudo 2 vezes
                for($repi=1;$repi<=2;$repi++):
                     if($repi==2)$margemEsquerda=111;

                     //imprime as figuras na esquerda
					 $caminhoFinal="Imagens/imagem_normais_anormais250816B_vertical.JPG";
					 $pdf->Image($caminhoFinal,$margemEsquerda,$cota1,8,100,'JPG');


					 //imprime a imagem da palavra germinacao
					 //$caminhoFinal="Imagens/germinacao.jpg";					 

					 $vetor="";
					 $colunas=5;
				     $largo[1]=20;
					 $larguraMenor=13;
					 $somaLarguras=$largo[1]+$larguraMenor*4;
					 $posicaoDepoisMedia=$margemEsquerda+$somaLarguras+$larguraMenor+8;
					 for($i=2;$i<=$colunas;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+5]=$larguraMenor;
				     }		  
					 //$largo[10]=20;
					 $vetor="";
					 $vetor[1][2]="A";
					 $vetor[1][3]="B";
					 $vetor[1][4]="C";
					 $vetor[1][5]="D";
					 $vetor[1][6]="Media";


					 $vetor[6][1]=$vetor[6][10]=utf8_decode("Total.");
					 $vetor[9][1]=$vetor[9][10]=utf8_decode("Total");
					 $vetor[12][1]=$vetor[12][10]=utf8_decode("Total");
					 $vetor[15][1]=$vetor[15][10]="	Total";
					 $vetor[18][1]=$vetor[18][10]="	Total";
					 $vetor[21][1]=$vetor[21][10]="	Total";

                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
					 $pdf->SetLineWidth($fino);
					 $linhas=21;
					 
				     //imprime a parte da esquerda
					 $larguraRepeticao=70;
					 $linhaCalculada=$cota7;

					 for($L=1;$L<=$linhas;$L++)
					 {
                         if($L==7 || $L==13 ||$L==16 ||$L==19 ||$L==22 ||$L==22):
						   $pdf->Line($margemEsquerda,$linhaCalculada,$posicaoDepoisMedia,$linhaCalculada);                          
						 endif;
						 //aqui a linhas especial entre deformeda e infecionada
                         if($L==10):
						   $pdf->Line($margemEsquerda+4,$linhaCalculada,$posicaoDepoisMedia,$linhaCalculada);                          
						 endif;

					     $pdf->SetXY($margemEsquerda+8,$linhaCalculada);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 $pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
							 //$pdf->Cell($largo[$i],4.5,$vetor[$L][$i],1,0,'C');	
				         }
						 //imprime a palavra media 
                         if($L==1)$pdf->Cell($larguraMenor,4.5,$vetor[$L][6],1,0,'C');	     		         $linhaCalculada+=4.5;
				     }
                     //linhas separadoras deois da media
					 $pdf->Line($posicaoDepoisMedia,$cota1,$posicaoDepoisMedia,$cota1+95);                          
				     if($repi==2)$pdf->Line($margemEsquerda,$cota1,$margemEsquerda,$cota1+95);                       
				
				endfor;//para repetir o quadro na direita
                   
                     $margemEsquerda=$guardaMargemEsquerda;


                     //aqui de determinacoes adiconai para baixo
					 $cota1+=95;//era 86
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 //$pdf->SetFont('Arial','',8);
					 $pdf->cell(30,4,utf8_decode('Determinações adicionais:'),1,1,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
                     $cota1+=12;
					 

                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(20,4,utf8_decode('Observações.:'),1,0,'L');
					 //$pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');


					 
				 endif;

             endwhile; //este while encerra a colecao de amostras   
		endfor;//FECHA O FOR QUE MANDA IMPRIMIR VARIAS FICHAS	 
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
